package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;
import java.util.Collections;
import java.util.LinkedList;

/**
 * Generic abstraction to hold elments fo {@link PublishRequest} and
 * {@link SubscribeRequest} implementations.
 * 
 * @author aw
 *
 * @param <T> the interface of the elements this request can contain
 */
class GenericObjectHolder<T> {
	
	private final Collection<T> mElements;
	
	GenericObjectHolder() {
		mElements = new LinkedList<T>();
	}
	
	protected void addElement(T el) {
		if (el == null)
			throw new NullPointerException("element not allowed to be null");
		
		mElements.add(el);
	}
	
	protected Collection<T> getElements() {
		return Collections.unmodifiableCollection(mElements);
	}
}
